org.apache.sysds.common

## Enum Types.DataType

- java.lang.Object
- - java.lang.Enum<Types.DataType>
  - - org.apache.sysds.common.Types.DataType

- All Implemented Interfaces:
    Serializable, Comparable<Types.DataType>
  Enclosing class:
    Types

      public static enum Types.DataType
      extends Enum<Types.DataType>

  Data types (tensor, matrix, scalar, frame, object, unknown).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FRAME`
    `LIST`
    `MATRIX`
    `SCALAR`
    `TENSOR`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isFrame()`
    `boolean` | `isList()`
    `boolean` | `isMatrix()`
    `boolean` | `isMatrixOrFrame()`
    `boolean` | `isScalar()`
    `boolean` | `isTensor()`
    `boolean` | `isUnknown()`
    `static Types.DataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Types.DataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TENSOR

          public static final Types.DataType TENSOR

    - #### MATRIX

          public static final Types.DataType MATRIX

    - #### SCALAR

          public static final Types.DataType SCALAR

    - #### FRAME

          public static final Types.DataType FRAME

    - #### LIST

          public static final Types.DataType LIST

    - #### UNKNOWN

          public static final Types.DataType UNKNOWN

  - ### Method Detail

    - #### values

          public static Types.DataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Types.DataType c : Types.DataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Types.DataType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isMatrix

          public boolean isMatrix()

    - #### isTensor

          public boolean isTensor()

    - #### isFrame

          public boolean isFrame()

    - #### isMatrixOrFrame

          public boolean isMatrixOrFrame()

    - #### isScalar

          public boolean isScalar()

    - #### isList

          public boolean isList()

    - #### isUnknown

          public boolean isUnknown()

Copyright © 2021 The Apache Software Foundation. All rights reserved.